Issue 6555

Summary: Paragraph break with SHIFT + ENTER shows little square
Product: Writer Reporter: aschrage <ansgar>
Component: uiAssignee: stefan.baltzer
Status: CLOSED FIXED QA Contact: issues@sw <issues>
Severity: Trivial    
Priority: P4 CC: issues, j.dworzak
Version: OOo 1.0.1Keywords: oooqa
Target Milestone: ---   
Hardware: PC   
OS: Windows NT   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description aschrage 2002-07-25 10:17:11 UTC
When I enter a line break with SHIFT + ENTER only a little square is shown to
show the soft paragraph break.
In OOo Writer Version 1.0.0 a small arrow to the left was shown.
Comment 1 Unknown 2002-09-12 04:34:27 UTC
I usually break a line with ENTER only.
When I click ¡§view¡¨and choose ¡§nonprinting characters¡¨, 
each time I push enter, there is a symbol which is very clear 
to show the line is broken.

Besides, no matter the ¡§nonprinting characters¡¨is on or off, 
SHIFT+ENTER does not show any symbol in my document.
(PC platform with Windows 98 and Open Office version 1.0.1)
Comment 2 frank.meies 2002-09-12 07:32:56 UTC
FME: The StarSymbol or OpenSymbol font is used to paint the linebreak
symbol. Make sure that one of these fonts is installed.
Comment 3 diane 2002-09-26 14:18:12 UTC
I am running OOo 1.0.1 on Win98.  I too get the little square for the
[shift]+[enter] key combination.  I get the backwards P with two stems
(paragraph symbol) for the [enter] keystroke.  This does show a
differentiation between the two types of breaks.  

These non-printing characters show only when I have this feature
enabled.  When I have then non-printing characters disabled, these
symbols do not show.  

I have the Open Symbol font loaded.  For kicks, I opened a new
document, and changed the font to OpenSymbol.  I found that the
[shift]+[enter] keystroke still shows the square symbol.  I do not
have the StarSymbol font loaded.
Comment 4 aschrage 2002-10-07 16:31:44 UTC
I have the OpenSymbol font installed and still get the little square.
In version 1.0.0 of OOo it was working. Only after I installed the
version 1.0.1 the little arrow is gone (I made a fresh install and
removed the version 1.0.0 before).
Comment 5 diane 2003-03-28 14:21:52 UTC
This issue still exists in OOo 1.0.2 (running on win98se).  Also when
the OOo file is xferred into M$Office for Win95, the line feed arrow
becomes visible (where the square, or missing character, is shown in
OOo). 
Comment 6 aschrage 2003-03-28 16:53:38 UTC
I just tried this with version 1.1Beta. And here the small arrow shows
up. Therefore the problems seems to be fixed (at least for 1.1Beta).
Comment 7 aschrage 2003-04-01 08:36:31 UTC
I have to add something concerning the fix in 1.1Beta. When I
installed 1.1Beta the first time, it asked me if it should replace the
font OpenSymbol (this one was still there from version 1.0.1). I
answered no. Then I tested the line break and the little arrow showed up.
On a different PC I installed also 1.1Beta. This time I said yes, when
it asked to replace the existing OpenSymbol font. And now the little
arrow does not show up anymore. Nothing is shown.
I compared the two different versions of the OpenSymbol font and the
one from version 1.0.1 is as twice as big the one from 1.1Beta.
I assume that problem was fixed in 1.1Beta, but that there is a
problem with the OpenSymbol font that is delivered with it.
Comment 8 diane 2003-04-11 17:00:59 UTC
Hi Ansgar,

I wonder if we should close this issue as fixed, and then reopen a new
issue for the observations shown in your latest comments.  I have seen
developers complain about issues migrating from one issue to another,
because they become hard to organize and track.  They like to see one
issue per issue#.  I think your latest observations fall into this
category, because the original issue is fixed, and the new issue
relates to a new version of OOo.  Would you be willing to open a new
issue for your latest comments?
Comment 9 aschrage 2003-04-16 16:00:45 UTC
With regards to my last comment and the one from Diane, I suggest that
this issue can be closed as fixed (in 1.1Beta).
Concerning the problem with the OpenSymbol font I filed issue 13516
Comment 10 diane 2003-04-22 21:26:30 UTC
Per Ansgar's latest comments, I am closing this issue as fixed in the
1.1Beta version.

Ansgar, thank you for opening a new issue to show your observations
regarding the opensymbol font installation in the Beta1.1.
Comment 11 lohmaier 2003-05-10 20:40:01 UTC
diane forgot to actually close issue...